[metadata]
description-file = README.md

[aliases]
# Define `python setup.py test`
test=pytest

[coverage:run]
branch = True
source = src

[tool:pytest]
testpaths = tests
addopts = --cov --json-report --json-report-file=htmlcov/report.json --cov-report term --cov-report html --cov-report xml:build/reports/code-coverage.xml --junitxml=./build/reports/unit-tests.xml

# Define `python setup.py build_sphinx`
[build_sphinx]
source-dir = docs
build-dir = docs/_build
all_files = 1
builder = html
